> For the complete documentation index, see [llms.txt](https://gotrustcrow.gitbook.io/trustcrow-api-v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gotrustcrow.gitbook.io/trustcrow-api-v1/api-reference/user-management/fetch-users-wallet.md).

# Fetch user's wallet

You can retrieve all customers or specify a customer by their ID. When fetching by ID, simply provide the user ID, and it will return the corresponding customer information.

## Fetch a specific user's wallet

<mark style="color:blue;">`GET`</mark> `{{api_url}}/v1/users/{user_id}/wallet`

#### Query Parameters

| Name                                       | Type   | Description             |
| ------------------------------------------ | ------ | ----------------------- |
| user\_id<mark style="color:red;">\*</mark> | string | specify the customer id |

#### Headers

| Name          | Type   | Description                                    |
| ------------- | ------ | ---------------------------------------------- |
| Authorization | string | your Trustcrow API keys to authorize customers |

{% tabs %}
{% tab title="200 Wallet returned successfully" %}

```javascript
{
    "status": true,
    "message": "Wallet retrieved successfully",
    "data": {
        "id": "b78ec8db-4bab-43c3-84a1-a9d55d036d54",
        "name": "Haleemah Opeyemi's Wallet",
        "account_reference": "TRC_ACC_YST1LVV9HXCIQBPR",
        "provider": "MONNIFY",
        "balance": 0
    }
}
```

{% endtab %}
{% endtabs %}
